/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.esr.service.external;

import java.io.Serializable;

import gov.va.med.soa.utils.service.ServiceVersion;

/**
 * Initial javadoc for class ExternalServiceVersion. TODO - Add content here
 * 
 * Created Dec 23, 2005 12:21:51 PM
 * 
 * @author DNS   BOHMEG
 */
public class ExternalServiceVersion implements ServiceVersion, Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 6634937280484886073L;

	private String majorVersion;

	private String minorVersion;

	private String revisionNumber;

	private String buildNumber;

	public ExternalServiceVersion(String majorVersion, String minorVersion,
			String revisionNumber, String buildNumber) {
		this.majorVersion = majorVersion;
		this.minorVersion = minorVersion;
		this.revisionNumber = revisionNumber;
		this.buildNumber = buildNumber;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.soa.utils.service.ServiceVersion#getMajorVersion()
	 */
	public String getMajorVersion() {
		return majorVersion;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.soa.utils.service.ServiceVersion#getMinorVersion()
	 */
	public String getMinorVersion() {
		return minorVersion;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.soa.utils.service.ServiceVersion#getRevisionNumber()
	 */
	public String getRevisionNumber() {
		return revisionNumber;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.soa.utils.service.ServiceVersion#getBuildNumber()
	 */	
	public String getBuildNumber() {
		return buildNumber;
	}
}
